---
table_name: notes
classes:
- DiffNote
- DiscussionNote
- IterationNote
- LabelNote
- LegacyDiffNote
- MilestoneNote
- Note
- StateNote
- SyntheticNote
- WeightNote
feature_categories:
- code_review
- portfolio_management
- service_desk
- source_code_management
- team_planning
description: The object at the core of comments, discussions and system notes shown on issues, MRs and epics
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/commit/9ba1224867665844b117fa037e1465bb706b3685
milestone: "<6.0"
gitlab_schema: gitlab_main
